<?php
$i = 2;
if ($i == 1) {
    $zmienna = 'A';
} elseif ($i == 2) {
    $zmienna = 'B';
} elseif ($i == 3) {
    $zmienna = 'C';
} else {
    $zmienna = '';
}
print $zmienna;

switch ($i) {
    case 1:
        $zmienna = 'A';
        break;
    case 2:
        $zmienna = 'B';
        break;
    case 3:
        $zmienna = 'C';
        break;
    default;
        $zmienna = '';
}
print $zmienna;

$zmienna = match ($i) {
    1 => 'A',
    2 => 'B',
    3 => 'C',
    default => ''
};
print $zmienna;